### Function

# GLib Variant is_signature

since: 2.24

#### Declaration [src]

    gboolean
    g_variant_is_signature (
      const gchar* string
    )

#### Description [src]

Determines if a given string is a valid D-Bus type signature. You should ensure that a string is a valid D-Bus type signature before passing it to g_variant_new_signature().

D-Bus type signatures consist of zero or more definite `GVariantType` strings in sequence.

Available since: 2.24

#### Parameters

`string`

  Type: `const gchar*`

  A normal C nul-terminated string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `string` is a D-Bus type signature.